seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/07/20, 12:00:38


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Be Careful Upgrading Today  (Read 603 times)

0 Members and 1 Guest are viewing this topic.

Offline tranquil

  • User
  • Posts: 50
Be Careful Upgrading Today
« on: 2019/04/03, 21:27:18 »
Code: [Select]
sudo apt full-upgrade a few minutes ago produces the following:


Code: [Select]
The following packages were automatically installed and are no longer required:
  autoconf automake autotools-dev libasan5 libc-dev-bin libc6-dev libcc1-0
  libgcc-8-dev libitm1 liblsan0 libltdl-dev libmpx2 libsigsegv2 libstdc++-8-dev
  libtsan0 libubsan1 linux-headers-4.19.0-3-common linux-headers-4.19.0-4-common
  linux-kbuild-4.19 linux-libc-dev m4 manpages-dev
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  broadcom-sta-dkms build-essential dkms g++ g++-8 gcc gcc-8 libtool
  linux-compiler-gcc-8-x86 linux-headers-4.19.0-3-amd64
  linux-headers-4.19.0-4-amd64 linux-headers-amd64
The following packages have been kept back:
  cpp-8 gcc-8-base libasan5 libatomic1 libcc1-0 libgcc-8-dev libgcc1 libgfortran5
  libgomp1 libitm1 liblsan0 libmpx2 libquadmath0 libstdc++-8-dev libstdc++6
  libtsan0 libubsan1
The following packages will be upgraded:
  bind9-host busybox dnsutils libbind9-161 libcodemodel-java libdns-export1104
  libdns1104 libgraphicsmagick++-q16-12 libgraphicsmagick-q16-3 libirs161
  libisc-export1100 libisc1100 libisccc161 libisccfg163 libjaxb-java liblwres161
  libmariadb3 libmysofa0 libpython3.7 libpython3.7-minimal libpython3.7-stdlib
  librngom-java libssh2-1 libtxw2-java libxml-twig-perl libxsom-java
  mariadb-common openjdk-11-jre openjdk-11-jre-headless python3.7
  python3.7-minimal task-english task-laptop tasksel tasksel-data
35 upgraded, 0 newly installed, 12 to remove and 17 not upgraded.
Need to get 53.1 MB of archives.
After this operation, 83.8 MB disk space will be freed.


You can get tip toe around the removals by separately installing only the packages to be upgraded (cherry pick...flame suit donned).  Must be something bigger currently in transition.
Dual-booting Debian Stable and Unstable with Openbox window manager and Tint2 panel.

Offline sunrat

  • User
  • Posts: 291
Re: Be Careful Upgrading Today
« Reply #1 on: 2019/04/04, 02:07:04 »
No removals here:
Code: [Select]
The following NEW packages will be installed:
  linux-headers-5.0.6-towo.1-siduction-amd64
  linux-image-5.0.6-towo.1-siduction-amd64
The following packages will be upgraded:
  bind9-host cpp-8 dnsutils g++-8 gcc-8 gcc-8-base libasan5 libatomic1
  libbind9-161 libcc1-0 libdns-export1104 libdns1104 libgcc-8-dev libgcc1
  libgfortran5 libgomp1 libirs161 libisc-export1100 libisc1100 libisccc161
  libisccfg163 libitm1 liblsan0 liblwres161 libmpx2 libpython3.7
  libpython3.7-dev libpython3.7-minimal libpython3.7-stdlib libquadmath0
  libssh2-1 libstdc++-8-dev libstdc++6 libtsan0 libubsan1
  linux-headers-siduction-amd64 linux-image-siduction-amd64 openjdk-11-jre
  openjdk-11-jre-headless python3.7 python3.7-dev python3.7-minimal
42 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 1.877
    • Land of the Buckeye
Re: Be Careful Upgrading Today
« Reply #2 on: 2019/04/04, 09:45:13 »
With a KDE/plasma DE:

Code: [Select]
Calculating upgrade... Done
The following NEW packages will be installed:
  gstreamer1.0-gtk3 linux-headers-5.0.6-towo.1-siduction-amd64 linux-image-5.0.6-towo.1-siduction-amd64
The following packages will be upgraded:
  bind9-host cpp-8 dnsutils fonts-opensymbol g++-8 gcc-8 gcc-8-base libasan5 libatomic1 libbind9-161
  libcc1-0 libcodemodel-java libdns-export1104 libdns1104 libgcc-8-dev libgcc1 libgfortran5 libgomp1
  libgraphicsmagick++-q16-12 libgraphicsmagick-q16-3 libirs161 libisc-export1100 libisc1100 libisccc161
  libisccfg163 libitm1 libjaxb-java liblsan0 liblwres161 libmpx2 libobjc4 libpython3.7 libpython3.7-dev
  libpython3.7-minimal libpython3.7-stdlib libquadmath0 libreoffice libreoffice-avmedia-backend-gstreamer
  libreoffice-base libreoffice-base-core libreoffice-base-drivers libreoffice-calc libreoffice-common
  libreoffice-core libreoffice-draw libreoffice-gtk3 libreoffice-help-common libreoffice-help-en-us
  libreoffice-impress libreoffice-java-common libreoffice-librelogo libreoffice-math
  libreoffice-nlpsolver libreoffice-report-builder libreoffice-report-builder-bin
  libreoffice-script-provider-bsh libreoffice-script-provider-js libreoffice-script-provider-python
  libreoffice-sdbc-firebird libreoffice-sdbc-hsqldb libreoffice-sdbc-postgresql libreoffice-style-breeze
  libreoffice-style-colibre libreoffice-style-tango libreoffice-wiki-publisher libreoffice-writer
  librngom-java libssh2-1 libstdc++-8-dev libstdc++6 libtsan0 libtxw2-java libubsan1 libxsom-java
  linux-headers-siduction-amd64 linux-image-siduction-amd64 openjdk-11-jre openjdk-11-jre-headless
  python3-uno python3.7 python3.7-dev python3.7-minimal uno-libs3 ure
84 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 296 MB of archives.
After this operation, 281 MB of additional disk space will be used.
Do you want to continue? [Y/n]
Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO, 2@WD1003FZEX in BTRFS